summaryrefslogtreecommitdiffhomepage
path: root/applications
diff options
context:
space:
mode:
authorManuel Munz <freifunk@somakoma.de>2013-06-02 16:41:03 +0000
committerManuel Munz <freifunk@somakoma.de>2013-06-02 16:41:03 +0000
commitaf72920b6ef743562d2d6c009974bc18915c8390 (patch)
treeeee6f044fa6899f5000ac26fcc9626ca256b8351 /applications
parent039cf655246b8f019192a5752017847b1a3956d3 (diff)
applications/luci-splash: Add hotplug script for splash
Diffstat (limited to 'applications')
-rw-r--r--applications/luci-splash/root/etc/hotplug.d/iface/25-splash10
1 files changed, 10 insertions, 0 deletions
diff --git a/applications/luci-splash/root/etc/hotplug.d/iface/25-splash b/applications/luci-splash/root/etc/hotplug.d/iface/25-splash
new file mode 100644
index 000000000..cf8268350
--- /dev/null
+++ b/applications/luci-splash/root/etc/hotplug.d/iface/25-splash
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+[ "$ACTION" = ifup ] || exit 0
+
+/etc/init.d/firewall enabled || exit 0
+
+if [ -x /etc/init.d/luci_splash ]; then
+ logger -t splash "Reloading splash firewall rules due to ifup of $INTERFACE ($DEVICE)"
+ /etc/init.d/luci_splash restart
+fi